Bug 18415 - No DOM element created for <isindex> with no other tags in the document
Summary: No DOM element created for <isindex> with no other tags in the document
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: DOM (show other bugs)
Version: 525.x (Safari 3.1)
Hardware: Macintosh OS X 10.5
: P3 Normal
Assignee: Nobody
URL: http://software.hixie.ch/utilities/js...
Keywords:
Depends on: 41123
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-10 13:24 PDT by David Kilzer (:ddkilzer)
Modified: 2010-09-20 02:41 PDT (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Kilzer (:ddkilzer) 2008-04-10 13:24:53 PDT
* SUMMARY
An HTML document containing only an <isindex> tag does not render the <isindex> tag.  (It's also missing from the DOM).

* STEPS TO REPRODUCE
1. Launch Safari/WebKit nightly.
2. Open URL:  data:text/html,%3Cisindex%3E

* RESULTS
No <isindex> element is drawn.  Using Hixie's Live DOM Viewer (see URL on this bug), there is no ISINDEX element in the DOM.

* REGRESSION
Unknown.  Will test on Safari 2.0.4 on Tiger 10.4.11 later.

* NOTES
See also Bug 7139.  :)
Comment 1 David Kilzer (:ddkilzer) 2008-04-10 21:22:47 PDT
(In reply to comment #0)
> * REGRESSION
> Unknown.  Will test on Safari 2.0.4 on Tiger 10.4.11 later.

Not a regression from Safari 2.0.4 on Tiger 10.4.11--same behavior occurs there.

Comment 2 Jon@Chromium 2008-11-14 13:22:25 PST
See Chromium bug http://code.google.com/p/chromium/issues/detail?id=433
Comment 3 Eric Seidel (no email) 2010-07-06 01:29:08 PDT
See bug 41650 and http://www.w3.org/Bugs/Public/show_bug.cgi?id=10095.
Comment 4 Eric Seidel (no email) 2010-07-06 01:30:18 PDT
This will be fixed by the HTML5 TreeBuilder (bug 41123).
Comment 5 Adam Barth 2010-09-20 02:41:06 PDT
Yep.  It's indeed fixed by the HTML5 parser.